/**
 * Describe an apeman-api-recover
 * @function describe
 * @returns {Object}
 */
'use strict';

/** @lends describe */

function describe() {
  return {
    ping: {
      desc: 'Test the reachability of the api',
      params: [{ name: 'pong', type: 'string', default: 'pong', desc: 'Pong message to return' }],
      returns: {
        type: 'string', desc: 'Pong message'
      }
    },
    issue: {
      desc: 'Issue new token',
      params: [{ name: 'email', type: 'string', desc: 'Issue new taken' }],
      returns: {
        types: 'object', desc: 'Issued token data'
      }
    },
    check: {
      desc: 'Check if token valid',
      params: [{ name: 'token', type: 'string', desc: 'Token to check' }],
      returns: {
        types: 'boolean', desc: 'Token ok or not'
      }
    },
    update: {
      desc: 'Update password with token',
      params: [{ name: 'token', type: 'string', desc: 'Token issued' }, { name: 'newPassword', type: 'string', desc: 'New password' }],
      returns: {
        type: 'object', desc: 'Updated user info'
      }
    }
  };
}

module.exports = describe;
//# sourceMappingURL=data:application/json;base64,bnVsbA==